Last Comment Bug 739652 - [Instant messaging] The textboxes in the account settings for a GoogleTalk account have no labels
: [Instant messaging] The textboxes in the account settings for a GoogleTalk ac...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Disability Access (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 16.0
Assigned To: Florian Quèze [:florian] [:flo]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 09:17 PDT by Marco Zehe (:MarcoZ) on PTO until August 15
Modified: 2012-06-15 04:03 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Fix (1.49 KB, patch)
2012-06-08 03:56 PDT, Florian Quèze [:florian] [:flo]
mconley: review+
mozilla: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Marco Zehe (:MarcoZ) on PTO until August 15 2012-03-27 09:17:37 PDT
For screen readers, the password field and other fields except the "resource" field under "advanced" have no labels. Screen readers don't speak anything besides "textbox", so users don't know what to enter here.

If there are labels, they need to be properly associatd with the textboxes via the controls attribute. If they are provided via a different means, they're currently not accessible at all.
Comment 1 Florian Quèze [:florian] [:flo] 2012-06-08 03:56:31 PDT
Created attachment 631340 [details] [diff] [review]
Fix

Sorry about this, and thanks for reporting it! The labels did exist, but the field ids have been renamed at some point and I forgot to change the values of the control attributes.

I wonder if label elements with a control attribute that doesn't match any element id in the document could produce a warning in the error console, so that such trivial mistakes are caught faster.
Comment 2 Mike Conley (:mconley) - (Needinfo me!) 2012-06-13 11:39:15 PDT
Comment on attachment 631340 [details] [diff] [review]
Fix

Review of attachment 631340 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good, and fixes the problem. Good catch.
Comment 3 Florian Quèze [:florian] [:flo] 2012-06-14 07:19:57 PDT
https://hg.mozilla.org/comm-central/rev/9f92a04afea2
Comment 4 Florian Quèze [:florian] [:flo] 2012-06-14 07:20:29 PDT
Comment on attachment 631340 [details] [diff] [review]
Fix

[Approval Request Comment]
Trivial accessibility fix for the chat feature.
Comment 5 Florian Quèze [:florian] [:flo] 2012-06-15 04:03:42 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/be270b5d532f

Note You need to log in before you can comment on or make changes to this bug.